# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..tnc.tnc_result_viewer_dialog import TNCViewerDialog
from .show_dialog import show_diag


def tnc_navigator(proj):
    if not proj.open_mode and proj.open_mode != "project":
        proj.show_message_no_supply()
        return
    dlg2 = TNCViewerDialog(proj)
    show_diag(dlg2)
